# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
assistant = pc.assistants.describe(name="example-assistant")
print(assistant)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = await pc.assistants.describe('example-assistant');
console.log(assistant);
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X GET "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"name": "example-assistant",
"status": "<string>",
"instructions": "Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow.",
"metadata": {
"role": "Customer Support Helper",
"team": "Operations"
},
"host": "https://prod-1-data.ke.pinecone.io",
"region": "<string>",
"created_at": "2025-10-01T12:30:00.000Z",
"updated_at": "2025-10-01T12:45:00.000Z"
}Assistants
Check assistant status
Get the status of an assistant.
For guidance and examples, see Manage assistants
GET
/
assistants
/
{assistant_name}
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
assistant = pc.assistants.describe(name="example-assistant")
print(assistant)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = await pc.assistants.describe('example-assistant');
console.log(assistant);
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X GET "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"name": "example-assistant",
"status": "<string>",
"instructions": "Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow.",
"metadata": {
"role": "Customer Support Helper",
"team": "Operations"
},
"host": "https://prod-1-data.ke.pinecone.io",
"region": "<string>",
"created_at": "2025-10-01T12:30:00.000Z",
"updated_at": "2025-10-01T12:45:00.000Z"
}# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
assistant = pc.assistants.describe(name="example-assistant")
print(assistant)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = await pc.assistants.describe('example-assistant');
console.log(assistant);
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X GET "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
Response
Poll request successful.
Describes the configuration and status of a Pinecone Assistant.
Was this page helpful?